CUDA Runtime API (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 4.27. Version Management

### Functions

__host__ ​cudaError_t cudaDriverGetVersion ( int* driverVersion )
  Returns the CUDA driver version.
__host__ ​ __device__ ​cudaError_t cudaRuntimeGetVersion ( int* runtimeVersion )
  Returns the CUDA Runtime version.

### Functions

__host__ ​cudaError_t cudaDriverGetVersion ( int* driverVersion )
  Returns the CUDA driver version.

  ###### Parameters

  `driverVersion`
    - Returns the CUDA driver version.

  ###### Returns

  cudaSuccess, cudaErrorInvalidValue

  ###### Description

  Returns in `*driverVersion` the version number of the installed CUDA driver. If no driver is installed, then 0 is returned as the driver version (via `driverVersion`). This function automatically returns cudaErrorInvalidValue if the `driverVersion` argument is NULL.

  Note:

  Note that this function may also return error codes from previous, asynchronous launches.

  See also:

  cudaRuntimeGetVersion, cuDriverGetVersion

__host__ ​ __device__ ​cudaError_t cudaRuntimeGetVersion ( int* runtimeVersion )
  Returns the CUDA Runtime version.

  ###### Parameters

  `runtimeVersion`
    - Returns the CUDA Runtime version.

  ###### Returns

  cudaSuccess, cudaErrorInvalidValue

  ###### Description

  Returns in `*runtimeVersion` the version number of the installed CUDA Runtime. This function automatically returns cudaErrorInvalidValue if the `runtimeVersion` argument is NULL.

  See also:

  cudaDriverGetVersion, cuDriverGetVersion